Subject: [PATCH 339] M68k floppy selection
From: Geert Uytterhoeven <[email-masked]>
To: Linus Torvalds <[email-masked]>, Andrew Morton <[email-masked]>
Cc: Linux Kernel Development <[email-masked]>, Geert Uytterhoeven <[email-masked]>
Date: Thu, 1 Jan 2004 21:01:45 +0100

Floppy: On m68k, PC-style floppies are used on Q40/Q60 and Sun-3x only. Sun-3x
floppy is currently broken (needs I/O abstractions)

--- linux-2.6.0/drivers/block/Kconfig	Thu Oct  9 10:02:38 2003
+++ linux-m68k-2.6.0/drivers/block/Kconfig	Thu Oct  9 17:38:53 2003
@@ -6,7 +6,7 @@
 
 config BLK_DEV_FD
 	tristate "Normal floppy disk support"
-	depends on !X86_PC9800 && !ARCH_S390
+	depends on (!X86_PC9800 && !ARCH_S390 && !M68K) || Q40 || (SUN3X && BROKEN)
 	---help---
 	  If you want to use the floppy disk drive(s) of your PC under Linux,
 	  say Y. Information about this driver, especially important for IBM

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds